Name:           rman
Version:        3.2
Release:        %mkrel 18
Summary:        PolyglotMan - manual page translator to HTML, ASCII, TkMan, DocBook
Group:          Development/X11
License:        GPLv2
URL:            https://polyglotman.sourceforge.net/
Source:         https://downloads.sourceforge.net/polyglotman/%{name}-%{version}.tar.gz
Patch0:         rman-3.2-cflags.patch
Patch1:         rman-3.2-format.patch
Patch2:         rman-3.2-incompatible-pointer-types.patch

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
PolyglotMan takes man pages from most of the popular flavors of UNIX and
transforms them into any of a number of text source formats.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
%make_install BINDIR=%buildroot%_bindir MANDIR=%buildroot%_mandir/man1


%files
%doc rman.html
%_bindir/rman
%_mandir/*/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 3.2-18.mga10
+ Revision: 2229645
- Mageia 10 Mass Rebuild

* Mon Oct 28 2024 daviddavid <daviddavid> 3.2-17.mga10
+ Revision: 2111637
- add gentoo patch to fix build with GCC 14

* Wed Mar 30 2022 umeabot <umeabot> 3.2-16.mga9
+ Revision: 1835082
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.2-15.mga8
+ Revision: 1516498
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 3.2-14.mga7
+ Revision: 1300839
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 cjw <cjw> 3.2-13.mga7
+ Revision: 1155346
- fix debug packages

* Mon Feb 08 2016 umeabot <umeabot> 3.2-12.mga6
+ Revision: 947340
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-11.mga5
+ Revision: 741912
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-10.mga5
+ Revision: 688681
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.2-9.mga4
+ Revision: 518027
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2-8.mga3
+ Revision: 380365
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 ahmad <ahmad> 3.2-7.mga1
+ Revision: 7909
- imported package rman


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2-7mdv2011.0
+ Revision: 607367
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2-6mdv2010.1
+ Revision: 520209
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2-5mdv2010.0
+ Revision: 426940
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2-4mdv2009.0
+ Revision: 225321
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2-3mdv2008.1
+ Revision: 179439
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 3.2-2mdv2008.0
+ Revision: 37169
- rebuild for new era


* Mon May 22 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-22 22:51:43 (27877)
- Fixed install and tarball naming

* Mon May 22 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-22 22:42:44 (27876)
- Added missing rman package

